// Copyright 2023 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
import '//resources/cr_elements/cr_radio_group/cr_radio_group.js';
import '//resources/cr_elements/cr_radio_button/cr_radio_button.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import { getCss } from '../demo.css.js';
import { getHtml } from './cr_radio_demo.html.js';
export class CrRadioDemoElement extends CrLitElement {
    static get is() {
        return 'cr-radio-demo';
    }
    static get styles() {
        return getCss();
    }
    render() {
        return getHtml.bind(this)();
    }
    static get properties() {
        return {
            selectedRadioOption_: { type: String },
        };
    }
    #selectedRadioOption__accessor_storage;
    get selectedRadioOption_() { return this.#selectedRadioOption__accessor_storage; }
    set selectedRadioOption_(value) { this.#selectedRadioOption__accessor_storage = value; }
    onSelectedRadioOptionSelectedChanged_(e) {
        this.selectedRadioOption_ = e.detail.value;
    }
}
export const tagName = CrRadioDemoElement.is;
customElements.define(CrRadioDemoElement.is, CrRadioDemoElement);
